# Open Book MechaRela #

Classical mechanics is the starting point of physics. Over the centuries, via <a href="https://en.wikipedia.org/wiki/Isaac_Newton">Newton's</a> three fundamental laws formulated around 1687, we have built a solid framework describing the material world around us. On these pages, you will find a text book with animations, demos and exercises for studying introductory classical mechanics. Moreover, we will consider the first steps of <a href="https://en.wikipedia.org/wiki/Albert_Einstein">Einstein's</a> Special Theory of Relativity published 1905.

This material is made to support first year students from the BSc Applied Physics at Delft University of Technology during their course *Classical Mechanics and Relativity Theory*, MechaRela for short. But, of course, anybody interested in Classical Mechanics and Special Relativity is more than welcome to use this book.

With this e-book our aim is to provide learning material that is:

* self-contained
* easy to modify and thus improve over the years
* interactive, provide additional demos and exercises next to the lectures


## How to solve a physics problem?

Before we start, let's spend a minute or two on studying physics and solving problems.
One of the most common mistakes made by 'novices' when studying problems in physics is trying to jump as quickly as possible to the solution of a given problem or exercise. For simple questions, this may work. But when stuff gets more complicated, it is almost a certain route to frustration.

There is, however, a structured way of problem solving, that is used by virtually all scientists and engineers. Later this will be second nature to you, and you apply this way of working automatically. It is called IDEA, an acronym that stands for:

```{figure} images/IDEA.jpg
---
name: fig:IDEA
width: 350px
align: center
---
IDEA 
```

* **Interpret** - First think about the problem. What does it mean? Usually, making a sketch helps. Actually  _always start with a sketch_;
* **Develop** - Build a model, from coarse to fine, that is, first think in the governing phenomena and then subsequently put in more details. Work towards writing down the equation of motion and boundary conditions;
* **Evaluate** - Solve your model, i.e. the equation of motion;
* **Assess** - Check whether your answer makes any sense (e.g. units OK?).

We will practice this and we will see that it actually is a very relaxed way of working and thinking. We strongly recommend to apply this strategy for your homework and exams (even though it seems strange in the beginning).
The first two steps (Interpret and Develop) typically take up most of the time spend on a problem.

## Demos

Most pages contains some demos and examples. [My physics lab](https://www.myphysicslab.com/) website has many demos on a very diverse set of physics problems. Some we will link at the corresponding page. Visit the demos and play with them, try to understand what is happening and why, have fun!


## Concise Overview on Mechanics

For a most concise overview of the basics click on the image below and scroll over the tiles. This covers the mechanics part of the course only, but this is most often the hardest part of the students.

<embed width = "100%" height = "500" frameborder="0" scrolling="yes" src="../_static/NewtonBasics/NewtonBasics.html"> 

<a href="../_static/NewtonBasics/NewtonBasics.html">Or open the widget full screen</a>


## Authors

* Prof.Dr. Robert F. Mudde, Department of Chemical Engineering, Delft University of Technology
* Prof.Dr. Bernd Rieger, Department of Imaging Physics, Delft University of Technology

